v 14.0 Third Party 4567
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Lines of code 23635
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 15.0 v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Lines of code 23635
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 15.0 v 13.0
Community

Odoo 14 Dynamic Financial Reports

Dynamic Accounting General Ledger, Trial Balance, Balance Sheet, Profit and Loss, Cash Flow Statements, Partner Ledger, Partner Ageing, Day book, Bank book and Cash book Reports in Odoo 14 community edition.

Dynamic Financial Reports for Odoo14 Community Edition.

Now generate dynamic financial reports for Odoo 14 Eommunity Edition.

Various Filters to Compare.

Option to compare report values with various filters available.

Print to PDF and XLSX Format.

One can print the reports in both the PDF and XLSX format

Access the Journal Entries.

Easy access to the corresponding journal entries directly from the dynamic report view.

Drill-down Approach in Reports.

The user can drill down from the main report to the journal entries. One can open form view of each journal entries and view the complete details here.

Configurable Financial Reports.

Backend configuration for financial reports. One can configure the heirarchy of financial reports.

Screenshots

1
Dynamic Financial Reports Menu
2
Financial Reports Configuration
3
General Ledger
4
Trial Balance Report
5
Balance Sheet
6
Profit and Loss Account
7
Partner Ledger Report
8
Aged Partner Balance Report
9
Cash Flow Statements Report
10
Cash Book Report
11
Bank Book Report
12
Day Book Report

Suggested Products

Check out our other products

Our Services

We provide following services

Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries

Our industry specifics and process segments to solve your complex business barriers.

Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?

Do you have any queries regarding our products & services? Let us know.


Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Hi your module is awesome but i got problem when print or export Gl. can u haelme pls
by
Michael Pratama Argojuwono
on 8/15/22, 11:03 PM
Odoo Server Error
Traceback (most recent call last):
  File "/home/michael/Documents/git/virtus/dynamic_accounts_report/controllers/controllers.py", line 27, in get_report_xlsx
    report_obj.get_dynamic_xlsx_report(options, response, report_data, dfr_data)
  File "/home/michael/Documents/git/virtus/dynamic_accounts_report/wizard/general_ledger.py", line 671, in get_dynamic_xlsx_report
    for line_data in rec_data['move_lines']:
KeyError: 'move_lines'


by
Abu Irfan
on 3/3/22, 8:57 PM

The module is great but Dependencies module Odoo 14 Full Accounting Kit, please support alternate 

Odoo 14 Accounting (Odoo Mates , Odoo S.A.)


Re:
by
Cybrosys Technologies
on 3/7/22, 3:25 AM Author

There many exclusive features available in Full Accounting Kit
-Accounting Dashboard with all necessary details.
-Reconciliation Widget -Multiple Invoice Copies option.(eg: Original,Duplicate and Triplicate) -PDC management. -Customer credit limit.
-Handle Recurring payments. -Manage Customer follow-ups. -Cash Flow Statements.
-Day Book Report. -Bank Book Report. -Cash book report.


Great
by
Endy Ocando
on 12/6/21, 11:17 AM


Hi, I'm using the application dynamic_account_report I would like to thank you for such an excellent application but I would like to add a filter to be able to compare between periods (annual, monthly, etc.) similar to how it works in the financial reports of the enterprise version

please these three keys: Ctrl + Alt + L, Beautify the code
by
gavinguo
on 12/2/21, 3:17 AM

odoo14 community:
in pycharm, please these three keys:
 Ctrl + Alt + L, Beautify the code, Current code is not standard, there are JS file calendar, it is best to use the official calendar,  the date of the report can be translated into the Other languages.


please help
by
Mahmoud
on 11/23/21, 8:29 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 684, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 913, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 532, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1389, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 392, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 365, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 59, in view_report

    records = self._get_report_values(data)

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 152, in _get_report_values

    data['period_length'])

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 433, in _get_partner_move_lines

    lines[partner_id].append({

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 640, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 316, in _handle_exception

    raise exception.with_traceback(None) from new_cause

KeyError: False

Re: please help
by
Cybrosys Technologies
on 11/24/21, 5:28 AM Author

Hello, We will look into it and get back to you ASAP


by
Libu Koshy
on 10/9/21, 10:01 AM



There is a problem
by
mahmoud
on 8/8/21, 7:01 AM

here is a problem with the filters to choose between all entries and posted

Always filters on staged posted only and when you try to select all entries, the filters disappear


Nice App
by
Ahsan Anwar
on 6/29/21, 5:23 AM



i get an error widow in profit and loss report how can i contact u
by
maram
on 6/18/21, 7:14 AM
Re: i get an error widow in profit and loss report how can i contact u
by
Cybrosys Technologies
on 6/18/21, 10:03 AM Author

Hi, send an email to odoo@cybrosys.com

Our team will connect you.


Really good
by
Luis Cabrera
on 6/1/21, 10:28 PM

How can I change the report signs, cause Incomes are displayed as negative, and expenses as positive. I tried Accounting >> Configuration >> Account Reports and change the Sign on Reports, but it didn't work.

Also, how can I display numbers with thousand separator?


Awesome app
by
Felix Asenji
on 5/21/21, 10:31 AM

I like the way the reports are generated. I have one request, is it possible to have the P & L reports displayed in the following sequence.- 

Income

Expenses 

instead of 

Expenses

Income


Re: Awesome app
by
Cybrosys Technologies
on 5/24/21, 3:13 AM Author

Hello, Thanks for informing. We will update that as soon as possible.
You can change this order from UI,
You can go to Accounting >> Configuration >> Account Reports and change the sequence of Income and expenses


by
noureldeen9012@gmail.com
on 5/17/21, 9:33 AM

Really cool app

but there is a problem

Profit and loss report and Balance Sheet report gives blank screen no data

Please help

Re:
by
Cybrosys Technologies
on 5/17/21, 11:36 AM Author

Hello,
Our team will contact you on email (noureldeen9012@gmail.com). Hope we can reach you on that. otherwise, let us know.


Partner Ageing
by
shekhar.gokhale@gmail.com
on 6/14/22, 3:38 AM

We have created invoice with payment terms 30% Now, Balance 60 Days invoice amount is 1,18000

but in partner ageing it showing  35,400.00(30%) in 0-30 column and remaining 82,600.00 in not due. it should show remaining amount in 0-60 column

Re: Partner Ageing
by
Cybrosys Technologies
on 6/14/22, 6:05 AM Author

These columns(0-30,30-60,...) are the number of days due. So in your case, as per your payment term, 30% of your invoice will become due 'Now' and the remaining 70% will become only due 'after 60 days'. 70% is not due till your invoice becomes 60 days age.  


very robust report
by
Z A
on 4/19/22, 9:23 PM

m having problem while generating trial balance report, this is the error, could you check and advise

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 685, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 361, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 914, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 533, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1394, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1386, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 395, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 368, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/mnt/extra-addons/dynamic_accounts_report/wizard/trial_balance.py", line 48, in view_report

    records = self._get_report_values(data)

  File "/mnt/extra-addons/dynamic_accounts_report/wizard/trial_balance.py", line 109, in _get_report_values

    account_res = self._get_accounts(accounts, display_account, data)

  File "/mnt/extra-addons/dynamic_accounts_report/wizard/trial_balance.py", line 167, in _get_accounts

    self.env.cr.execute(request, params)

  File "<decorator-gen-3>", line 2, in execute

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 101, in check

    return f(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 298, in execute

    res = self._obj.execute(query, params)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 641, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 317, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.ProgrammingError: syntax error at or near "jrnl"

LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...

                                                             ^


Missing Features
by
Aashish Karna
on 3/18/22, 10:52 PM

Missing Hierarchy and subtotal option in trial balance report and in general ledger.

Partner having zero balance is not being displayed in partner ledger though it has some journal entries.

Re: Missing Features
by
Cybrosys Technologies
on 3/19/22, 12:31 AM Author

Thanks for reporting, We will check and update.


trail balance error
by
Ahmed Hassan
on 2/21/22, 10:12 AM

error when try to open trail balance report 


trail-balance error
by
Ahmed Hassan
on 2/21/22, 10:10 AM

We have error when opening trail balance report

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 688, in dispatch

    result = self._call_function(**self.params)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 917, in __call__

    return self.method(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 536, in response_wrap

    response = f(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1335, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1327, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 460, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 433, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 52, in view_report

    records = self._get_report_values(data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 135, in _get_report_values

    account_res = self._get_accounts(accounts, display_account, data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 195, in _get_accounts

    self.env.cr.execute(request, params)

  File "<decorator-gen-3>", line 2, in execute

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 310, in execute

    res = self._obj.execute(query, params)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 644, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 302, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.errors.SyntaxError: syntax error at or near "jrnl"

LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (

Re: trail-balance error
by
Cybrosys Technologies
on 2/24/22, 5:06 AM Author

thanks for reporting.
We will check and get back to you.


P&L and Balance Sheets reports throw error
by
salientglobaltech.com
on 2/2/22, 4:34 AM
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/http.py", line 640, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo14/odoo/odoo/http.py", line 316, in _handle_exception
    raise exception.with_traceback(None) from new_cause
psycopg2.errors.AmbiguousColumn: column reference "account_id" is ambiguous
LINE 1: SELECT account_id as id, COALESCE(SUM(debit),0) - COALESCE(S...
               ^



Find the cause of the excel export error in a non-English language
by
gavinguo
on 11/27/21, 9:06 AM
--- Logging error ---
Traceback (most recent call last):
 stream.write(msg + self.terminator)
UnicodeEncodeError: 'gbk' codec can't encode character '\xa5' in position 3178: illegal multibyte sequence

by
Mahmoud
on 11/24/21, 4:45 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 684, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 913, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 532, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1389, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 392, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 365, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 59, in view_report

    records = self._get_report_values(data)

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 152, in _get_report_values

    data['period_length'])

  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/ageing.py", line 450, in _get_partner_move_lines

    lines[partner_id].append({

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 640, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 316, in _handle_exception

    raise exception.with_traceback(None) from new_cause

KeyError: False


there is a date format of other languages(yy-mm-dd), export Excel will report an error
by
gavinguo
on 11/18/21, 8:53 AM

Date range can call odoo date, otherwise cannot translate the date format of other languages, and there is a date format of other languages, export Excel will report an error 


by
gavinguo
on 10/26/21, 8:52 AM

Open the report, which is great, but cannot export XLSX, the following error is displayed  

Method Not Allowed

The method is not allowed for the requested URL.

Re:
by
Cybrosys Technologies
on 10/27/21, 12:10 AM Author

Thanks fro reporting. We will look into it asap.


There is a problem
by
mahmoud
on 8/8/21, 6:59 AM

here is a problem with the filters to choose between all entries and posted

Always filters on staged posted only and when you try to select all entries, the filters disappear

Re: There is a problem
by
Cybrosys Technologies
on 8/9/21, 12:18 AM Author

Hi, Can you please share more info to odoo@cybrosys.com?
exact version you are using. and the web browser you re trying with etc?


nice app with a small problem for me
by
Alex Sirros
on 7/25/21, 2:02 PM

When viewing the Profit and Loss report it shows the income accounts twice once under income and once under operating income, this started only after upgrading the base accounting kit app.


the income showing an exaggerated profit on PNL, however the Balance sheet shows correct


I have version 14.0.1.2.2

Any ideas or suggestions?


Profit and loss report and Balance Sheet report gives blank screen no data Please help
by
haitham.elgohary@gmail.com
on 7/8/21, 3:41 PM

Profit and loss report and Balance Sheet report gives blank screen no data

Please help


by
N
on 7/5/21, 11:04 PM

While trying to install, there is an error

odoo.tools.convert.ParseError: while parsing /odoo/custom/addons/base_accounting_kit/wizard/trial_balance.xml:4, near
<record id="account_report_balance_view" model="ir.ui.view">
        <field name="name">Trial Balance</field>
        <field name="model">account.balance.report</field>
        <field name="inherit_id" ref="account.account_common_report_view"/>
        <field name="arch" type="xml">
            <data>
            <field name="journal_ids" position="replace"/>
                <xpath expr="//field[@name='target_move']" position="after">
                    <field name="display_account" widget="radio"/>
                    <newline/>



get an error during installation
by
Steve Petros
on 6/15/21, 12:11 PM

Can you help please ?

Can you help please ?

Erreur:
Odoo Server Error
Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\tools\convert.py", line 677, in _tag_root
    f(rec)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\tools\convert.py", line 580, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 4211, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 4140, in _load_records_create
    return self.create(values)
  File "<decorator-gen-43>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\addons\base\models\ir_ui_view.py", line 482, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-65>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\addons\base\models\ir_fields.py", line 533, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\api.py", line 345, in _model_create_multi
    return create(self, arg)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\models.py", line 3901, in create
    fields[0].determine_inverse(batch_recs)
  File "C:\Program Files\Odoo 14.0.20210609\server\odoo\fields.py", line 1185, in determine_inverse
    getattr(records, self.inverse)()

...
 
Re: get an error during installation
by
Cybrosys Technologies
on 6/16/21, 1:10 AM Author

Hi, form this error message,It doesn't look like something related to this module.
anyway, Please send an email to odoo@cybrosys.com. Our team will check what is going on.


by
maram
on 6/12/21, 2:54 PM

by
maram
on 6/12/21, 1:32 PM

this error occure when press partner ageing report menu


Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/opt/odoo14/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo14/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo14/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo14/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo14/odoo/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo14/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1389, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo14/odoo/odoo/api.py", line 392, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/opt/odoo14/odoo/odoo/api.py", line 365, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 59, in view_report

    records = self._get_report_values(data)

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 149, in _get_report_values

    account_res = self._get_partner_move_lines(data, partners, date_from,

  File "/home/pc/Music/odoo-custom-addons14/dynamic_accounts_report/wizard/ageing.py", line 416, in _get_partner_move_lines

    lines[partner_id].append({

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/opt/odoo14/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo14/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

KeyError: False

Re:
by
Cybrosys Technologies
on 6/16/21, 1:12 AM Author

Hello, We tried to reproduce the error. Can you send an email to odoo@cybrosys.com. So that our team can reach back to you and understand the issue better.?


In Addition to my previous comment
by
Tadelo Ferede
on 5/26/21, 10:09 AM

I can't select the drop down list from the Dynamic report. 

Thanks 

Tadelo


Re: In Addition to my previous comment
by
Cybrosys Technologies
on 5/28/21, 10:56 AM Author

We could only find the issue in Aging report. thanks for your comment. If you are facing somewhere else. Please email us on odoo@cybrosys.com


I can't change the default age range
by
Tadelo Ferede
on 5/26/21, 10:04 AM

Dear Team, 

Could you please help me to change the default age range on your module. 

Thanks 


Re: I can't change the default age range
by
Cybrosys Technologies
on 5/28/21, 10:58 AM Author

We changed the time period to 30 days since that is more common. if you want a another range, please contact us on odoo@cybrosys.com. our team will help you change it.